
Summary: KDE frontend for netfilter
Name: 	 knetfilter
Version: 3.2.0
Release: 0.fdr.1%{?dist_tag} 
Group:	 Applications/Internet
Source:	 http://expansa.sns.it/knetfilter/knetfilter-3.2.0.tar.gz
License: GPL
URL:	 http://expansa.sns.it/knetfilter/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# Allow building as non-root
Patch1: knetfilter-3.2.0-nonroot.patch

BuildRequires: qt-devel >= 1:3.1
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdelibs-devel >= 6:3.1
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}
%define desktop_file 1

BuildRequires: iptables
Requires: iptables 


%description
Knetfilter is a KDE application designed to manage the netfilter (iptables)
functionality of the linux 2.4 kernel.


%prep
%setup

%patch1 -p1 -b .nonroot


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

export PATH="$PATH:/sbin"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

%if "%{?desktop_file}" == "1"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
  --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category "X-Fedora" \
  --add-category "SystemSetup" \
  --add-category "Application" \
  --add-category "KDE" \
  $RPM_BUILD_ROOT%{_datadir}/applnk/*/*.desktop
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README* TODO VERSION
%{_bindir}/*
%{_datadir}/icons/*.png
%if "%{?desktop_file}" == "1"
%{_datadir}/applications/*.desktop
%else
%{_datadir}/applnk/*/*.desktop
%endif


%changelog
* Fri May 14 2004 Rex Dieter <rexdieter at sf.net> 3.2.0-0.fdr.1
- 3.2.0 
